GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
geos::geom::Triangle Class Reference

Represents a planar triangle, and provides methods for calculating various properties of triangles. More...

`#include <Triangle.h>`

## Public Member Functions
| Triangle (const Coordinate &nP0, const Coordinate &nP1, const Coordinate &nP2)
void | inCentre (Coordinate &resultPoint)

## Public Attributes
Coordinate | p0
Coordinate | p1
Coordinate | p2

## Detailed Description

Represents a planar triangle, and provides methods for calculating various properties of triangles.

## Member Function Documentation

void geos::geom::Triangle::inCentre | ( | Coordinate & | resultPoint | ) |

The inCentre of a triangle is the point which is equidistant from the sides of the triangle. This is also the point at which the bisectors of the angles meet.

Parameters

  resultPoint | the point into which to write the inCentre of the triangle

The documentation for this class was generated from the following file:

- Triangle.h